<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listPlaces") label="Places"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Places"]]

[[#if (hasPermission "forms:ldp:update")]]
<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':createPlace']]"
    class="btn btn-md btn-primary "
    >Add new place</semantic-link>
</div>
[[/if]]

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label 
      WHERE {
        ?resource a ismi:Place ;
          crm:P1_is_identified_by ?name .
        ?name a crm:E41_Appellation ;
          rdfs:label ?label .
        ?search_hit bds:search ?__token__ ;
          bds:relevance ?score ;
          bds:minRelevance "0.1" .
        ?name rdfs:label ?search_hit .
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for place...'
  ></semantic-simple-search>
</div>

<div class="panel gap">
  <div class="panel-body">
    [[> Partial:tablePlaces]]
  </div>
</div>

[[> Partial:contentEnd]]
